XtCreateApplicationContext(3)

NAME
XtCreateApplicationContext, XtDestroyApplicationContext, XtWidgetToApplicationContext, XtToolkitInitialize - create, destroy, and obtain an application context

SYNTAX

XtAppContext XtCreateApplicationContext(void);

void XtDestroyApplicationContext(XtAppContext app_context);

XtAppContext XtWidgetToApplicationContext(Widget w);

void XtToolkitInitialize(void);

ARGUMENTS

app_context
    Specifies the application context.

w   Specifies the widget .

DESCRIPTION
The function returns an application context, which is an opaque type. Every application must have at least one application context.

The function destroys the specified application context as soon as it is safe to do so. If called from with an event dispatch (for example, a callback procedure), does not destroy the application context until the dispatch is complete.

The function returns the application context for the specified widget.

The function initializes the Intrinsics internals. If was previously called it returns immediately.

SEE ALSO
XtDisplayInitialize(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface